Skip to content

Upsert standard entity record.

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
serialVersionUIDobject

Unresolved type (staticfinallong)

canEditboolean
assetPermissionobject(AssetPermission)
idstring
entityIdstring
namestring
imagestring
detailstring
typestring
baseTypestring
valuesobject
processedValuesobject
importIdstring
globalUniquesobject

Unresolved type (transientSet)

lookupRecordsobject

Unresolved type (transientSet)

sharesobject(EntityShares)
scorecardobject(Scorecard)
tagsArray of strings
archivedboolean
entityMetadataobject(EntityMetadata)
langVsTranslatedFieldValuesobject
entityPriorityinteger, (int32)
createdByinteger, (int64)
permissionTypesobject

Unresolved type (transientList)

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/standardEntity/record/upsert \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "serialVersionUID": {},
    "canEdit": true,
    "assetPermission": {
      "shareConfigs": [
        {
          "shareLevel": "string",
          "sharedWithIds": [
            "string"
          ],
          "permissions": [
            "string"
          ],
          "endDate": 0
        }
      ],
      "grants": [
        "string"
      ]
    },
    "id": "string",
    "entityId": "string",
    "name": "string",
    "image": "string",
    "detail": "string",
    "type": "string",
    "baseType": "string",
    "values": {
      "property1": {},
      "property2": {}
    },
    "processedValues": {
      "property1": {},
      "property2": {}
    },
    "importId": "string",
    "globalUniques": {},
    "lookupRecords": {},
    "shares": {
      "ownership": {},
      "grants": [
        {}
      ],
      "resolvableGrants": [
        {}
      ],
      "workspacesVisibility": [
        "string"
      ],
      "jointGrants": [
        "string"
      ],
      "userGrants": [
        "string"
      ],
      "by": "string",
      "grant": "string",
      "levelToHierarchyGrants": {},
      "inherited": true,
      "additional": {
        "property1": {},
        "property2": {}
      }
    },
    "scorecard": {
      "scores": {
        "property1": {
          "id": "string",
          "type": "string",
          "metrics": {
            "property1": 0.1,
            "property2": 0.1
          },
          "dimensions": {
            "property1": [
              "string"
            ],
            "property2": [
              "string"
            ]
          },
          "score": 0.1,
          "entityOrdinal": 0,
          "entityCategory": "string",
          "entityType": "string"
        },
        "property2": {
          "id": "string",
          "type": "string",
          "metrics": {
            "property1": 0.1,
            "property2": 0.1
          },
          "dimensions": {
            "property1": [
              "string"
            ],
            "property2": [
              "string"
            ]
          },
          "score": 0.1,
          "entityOrdinal": 0,
          "entityCategory": "string",
          "entityType": "string"
        }
      },
      "modifiedDate": 0,
      "value": 0.1,
      "label": "string"
    },
    "tags": [
      "string"
    ],
    "archived": true,
    "entityMetadata": {
      "lifecycleEntityId": "string",
      "lifecycleStage": "string"
    },
    "langVsTranslatedFieldValues": {
      "property1": {
        "property1": "string",
        "property2": "string"
      },
      "property2": {
        "property1": "string",
        "property2": "string"
      }
    },
    "entityPriority": 0,
    "createdBy": 0,
    "permissionTypes": {}
  }'

Responses

Success

Bodyapplication/json
serialVersionUIDobject

Unresolved type (staticfinallong)

canEditboolean
assetPermissionobject(AssetPermission)
idstring
entityIdstring
namestring
imagestring
detailstring
typestring
baseTypestring
valuesobject
processedValuesobject
importIdstring
globalUniquesobject

Unresolved type (transientSet)

lookupRecordsobject

Unresolved type (transientSet)

sharesobject(EntityShares)
scorecardobject(Scorecard)
tagsArray of strings
archivedboolean
entityMetadataobject(EntityMetadata)
langVsTranslatedFieldValuesobject
entityPriorityinteger, (int32)
createdByinteger, (int64)
permissionTypesobject

Unresolved type (transientList)

Response
{ "serialVersionUID": {}, "canEdit": true, "assetPermission": { "shareConfigs": [ … ], "grants": [ … ] }, "id": "string", "entityId": "string", "name": "string", "image": "string", "detail": "string", "type": "string", "baseType": "string", "values": { "property1": {}, "property2": {} }, "processedValues": { "property1": {}, "property2": {} }, "importId": "string", "globalUniques": {}, "lookupRecords": {}, "shares": { "ownership": {}, "grants": [ … ], "resolvableGrants": [ … ], "workspacesVisibility": [ … ], "jointGrants": [ … ], "userGrants": [ … ], "by": "string", "grant": "string", "levelToHierarchyGrants": {}, "inherited": true, "additional": { … } }, "scorecard": { "scores": { … }, "modifiedDate": 0, "value": 0.1, "label": "string" }, "tags": [ "string" ], "archived": true, "entityMetadata": { "lifecycleEntityId": "string", "lifecycleStage": "string" }, "langVsTranslatedFieldValues": { "property1": { … }, "property2": { … } }, "entityPriority": 0, "createdBy": 0, "permissionTypes": {} }